import request from '@/utils/request'
// 批量生成日报表
export function retouchDailyReportMultiAdd(data) {
  return request({
    url: 'idp/retouchDailyReportMultiAdd',
    method: 'post',
    params: data
  })
}
// 多人重新重生日报表
export function retouchDailyReportSingleAdd(data) {
  return request({
    url: 'idp/retouchDailyReportSingleAdd',
    method: 'post',
    params: data
  })
}
// 编辑日报表
export function editRetouchDailyReportItem(data) {
  return request({
    url: 'idp/editRetouchDailyReportItem',
    method: 'post',
    params: data
  })
}

//审核日报表
export function submitRetouchDailyReportItem(data) {
  return request({
    url: 'idp/submitRetouchDailyReportItem',
    method: 'post',
    params: data
  })
}
//作废日报表
export function voidRetouchDailyReport(data) {
  return request({
    url: 'idp/voidRetouchDailyReport',
    method: 'post',
    params: data
  })
}
//主报表列表
export function getRetouchDailyReportList(data) {
  return request({
    url: 'idp/getRetouchDailyReportList',
    method: 'post',
    params: data
  })
}
//明细报表列表
export function getRetouchDailyReportItemList(data) {
  return request({
    url: 'idp/getRetouchDailyReportItemList',
    method: 'post',
    params: data
  })
}
//获取日报表详情
export function getRetouchDailyReportDetail(data) {
  return request({
    url: 'idp/getRetouchDailyReportDetail',
    method: 'post',
    params: data
  })
}

//获取个人日报表详情
export function getRetouchDailyReportItem(data) {
  return request({
    url: 'idp/getRetouchDailyReportItem',
    method: 'post',
    params: data
  })
}
//获取修图人修图记录明细
export function getRetouchOrderDetailList(data) {
  return request({
    url: 'idp/getRetouchOrderDetailList',
    method: 'post',
    params: data
  })
}

